import 'package:floative/reactive/element/reactive_element_list.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group("Test the reactive list element", () {
    test("", () {
      ReactiveElementList<String> reactiveElementList =
          ReactiveElementList.fromList(["nice"]);

      reactiveElementList.add("my element");

      reactiveElementList.removeLast();

      reactiveElementList.add("my element 2");

      reactiveElementList.add("my element 3");

      expect(reactiveElementList[0], "nice");
    });
  });
}
